classification
Title: test_concurrent_futures: test_pending_calls_race() failed on x86 Windows7 3.6
Type: Stage: resolved
Components: Tests, Windows Versions: Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: paul.moore, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords:

Created on 2018-05-29 20:46 by vstinner, last changed 2019-01-23 14:00 by vstinner. This issue is now closed.

Messages (2)
msg318090 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-05-29 20:46
x86 Windows7 3.6:

http://buildbot.python.org/all/#/builders/90/builds/354

0:23:45 [111/407/1] test_concurrent_futures failed

======================================================================
FAIL: test_pending_calls_race (test.test_concurrent_futures.ThreadPoolWaitTests)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "D:\cygwin\home\db3l\buildarea\3.6.bolen-windows7\build\lib\test\test_concurrent_futures.py", line 96, in tearDown
    self.assertLess(dt, 60, "synchronization issue: test lasted too long")
AssertionError: 213.2027723789215 not less than 60 : synchronization issue: test lasted too long
msg334257 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-01-23 14:00
Should be fixed by bpo-33716.
History
Date User Action Args
2019-01-23 14:00:22vstinnersetmessages: + msg334257
2018-09-19 23:56:01vstinnersetstatus: open -> closed
resolution: out of date
stage: resolved
2018-05-29 20:46:06vstinnercreate